Subject: Re: pre-asun 2.1.4-37b and RedHat 6.1

From: clyde jones <[email-masked]>
Date: Mon, 31 Jan 2000 10:13:12 -0500

Hi the exact url for netatalk is

http://www.freshmeat.net/appindex/1998/10/03/907422665.html

don't bother compiling - get the rpm and install it that way.
check out http://www.freshmeat.net for the latest rpm

>Hi all!
>
>I have just completed the installation of RedHat Linux 6.1 on my 
>brand new LAN server.
>
>Linux version is 2.2.12-20smp on an intel based system.
>I have also compiled and installed OpenSSL 0.0.94
>
>Trying to compile pre-asun 2.1.4-37b I get always some errors.
>
>Here I have included the very last lines from the "make" log:
>_____
>
>cd adouble; make -w CC="gcc " DEFS="-DSENDFILE_FLAVOR_LINUX  " \
>     RPCSVCDEFS="${RPCSVCDEFS}" \
>     OPTOPTS="-O2 -fomit-frame-pointer -fsigned-char -Wunused 
>-Wuninitialized " TCPWRAPDIR="/usr" DB2DIR=""
>make[3]: Entering directory `/home/netatalk-1.4b2+asun2.1.4/libatalk/adouble'
>mkdir profiled
>gcc  -p -DSENDFILE_FLAVOR_LINUX   -O2 -fomit-frame-pointer 
>-fsigned-char -Wunused -Wuninitialized  -I../../include -c ad_open.c
>../include/atalk/adouble.h:In function `sendfile':
>In file included from ad_open.c:38:
>../../include/atalk/adouble.h:50: `__NR_sendfile' undeclared (first 
>use this function)
>../../include/atalk/adouble.h:50: (Each undeclared identifier is 
>reported only once for each function it appears in.)
>make[3]: *** [ad_open.o] Error 1
>make[3]: Leaving directory `/home/netatalk-1.4b2+asun2.1.4/libatalk/adouble'
>make[2]: *** [adouble] Error 2
>make[2]: Leaving directory `/home/netatalk-1.4b2+asun2.1.4/libatalk'
>make[1]: *** [../../libatalk] Error 2
>make[1]: Leaving directory `/home/netatalk-1.4b2+asun2.1.4/sys/linux'
>make: *** [all] Error 2
>_____
>
>Can anyone help me to get it compiled and installed?
>
>
>Thanks
>
>Fabrizio

-- 
Pray to God, But Hammer Away
     - Spanish Proverb
           Clyde Jones

Clyde Jones
Http://www.geocities.com/clyde-jones
mailto:[email-masked]
Cell 443.226.6054

__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com